Debian Bug report logs - #522617
Jumps up to 100% processor load

version graph

Package: darcs; Maintainer for darcs is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for darcs is src:darcs.

Reported by: Benjamin Mesing <bensmail@gmx.net>

Date: Sun, 5 Apr 2009 10:48:02 UTC

Severity: normal

Tags: lenny, patch, upstream

Found in versions darcs/2.2.0-1, darcs/2.0.2-3

Fixed in versions darcs/2.2.0-1, 2.2.0-3

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.darcs.net/issue1278

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Sun, 05 Apr 2009 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Mesing <bensmail@gmx.net>:
New Bug report received and forwarded. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 05 Apr 2009 10:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benjamin Mesing <bensmail@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Jumps up to 100% processor load after "darcs help"
Date: Sun, 05 Apr 2009 12:45:05 +0200
Package: darcs
Version: 2.2.0-1
Severity: normal

When running "darcs help" less is launched showing me a help page 
which I can work with as expected. However, as soon as I hit 'q' to
quit "less", the system load jumps up to 100% and darcs hangs. I have to
kill it with signal 9.
The bug is reproducable on my system.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages darcs depends on:
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libcurl3-gnutls        7.18.2-8          Multi-protocol file transfer libra
ii  libgmp3c2              2:4.2.2+dfsg-3    Multiprecision arithmetic library
ii  libncurses5            5.7+20090207-1    shared libraries for terminal hand
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages darcs recommends:
ii  exim4                         4.69-9     metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.69-9     lightweight Exim MTA (v4) daemon

darcs suggests no packages.

-- no debconf information




Noted your statement that Bug has been forwarded to http://bugs.darcs.net/issue1278. Request was from Trent W. Buck <trentbuck@gmail.com> to control@bugs.debian.org. (Sun, 05 Apr 2009 11:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Sun, 05 Apr 2009 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 05 Apr 2009 11:39:02 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: control@bugs.debian.org, 522617@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#522617: Jumps up to 100% processor load after "darcs help"
Date: Sun, 5 Apr 2009 12:21:11 +0100
package darcs
forwarded 522617 http://bugs.darcs.net/issue1278
quit




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Sun, 05 Apr 2009 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 05 Apr 2009 11:39:03 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.darcs.net/issue1278 to http://bugs.darcs.net/issue1278. Request was from Steve Cotton <steve0001@s.cotton.clara.co.uk> to control@bugs.debian.org. (Sun, 05 Apr 2009 11:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Thu, 04 Jun 2009 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to apsheronets@gmail.com:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Thu, 04 Jun 2009 18:03:04 GMT) Full text and rfc822 format available.

Message #24 received at 522617@bugs.debian.org (full text, mbox):

From: Alexander Markov <apsheronets@gmail.com>
To: 522617@bugs.debian.org
Subject: Re: Jumps up to 100% processor load after "darcs help"
Date: Thu, 4 Jun 2009 21:55:58 +0400
[Message part 1 (text/plain, inline)]
Darcs's developers says what the problem in GHC.
It's possible to just rebuild package with ghc ≠ 6.10.1

-- 
Alexander Markov.
e-mail/jabber: apsheronets@gmail.com

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Fri, 05 Jun 2009 00:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Fri, 05 Jun 2009 00:57:02 GMT) Full text and rfc822 format available.

Message #29 received at 522617@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: apsheronets@gmail.com, 522617@bugs.debian.org
Subject: Re: Bug#522617: Jumps up to 100% processor load after "darcs help"
Date: Fri, 5 Jun 2009 10:56:10 +1000
On Mon, Jun 01, 2009 at 11:06:13PM +0000, Reinier Lamers wrote:
> It appears to be a GHC problem in GHC 6.10.1. Marking wont-fix as
> the GHC guys fixed it for us.

On Thu, Jun 04, 2009 at 09:55:58PM +0400, Alexander Markov wrote:
> Darcs's developers says what the problem in GHC.
> It's possible to just rebuild package with ghc ≠ 6.10.1

Debian Sid has GHC 6.10.3, but until the other build dependencies
(notably, haskell-network) are rebuilt against this version of GHC, I
cannot initiate a rebuild of Darcs.




Tags added: upstream, wontfix Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 23 Jun 2009 16:31:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Wed, 15 Jul 2009 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Wed, 15 Jul 2009 13:03:04 GMT) Full text and rfc822 format available.

Message #36 received at 522617@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 522617@bugs.debian.org
Subject: New libghc6-network-dev is in sid
Date: Wed, 15 Jul 2009 09:58:48 -0300
Hi.

Can you ask for a rebuild of darcs?

Greetings.

-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Thu, 16 Jul 2009 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <twb@cybersource.com.au>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Thu, 16 Jul 2009 01:18:05 GMT) Full text and rfc822 format available.

Message #41 received at 522617@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <twb@cybersource.com.au>
To: Marco Túlio Gontijo e Silva <marcot@riseup.net>, 522617@bugs.debian.org
Subject: Re: Bug#522617: New libghc6-network-dev is in sid
Date: Thu, 16 Jul 2009 11:13:05 +1000
On Wed, Jul 15, 2009 at 09:58:48AM -0300, Marco Túlio Gontijo e Silva wrote:
> Can you ask for a rebuild of darcs?

Sure thing.  How do I do so?




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Thu, 16 Jul 2009 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Thu, 16 Jul 2009 14:09:07 GMT) Full text and rfc822 format available.

Message #46 received at 522617@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: "Trent W. Buck" <twb@cybersource.com.au>
Cc: 522617@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#522617: New libghc6-network-dev is in sid
Date: Thu, 16 Jul 2009 11:02:13 -0300
Hi.

There's a bug in darcs that's only present in amd64 if it was built
with GHC older than 6.10.

nmu darcs_2.2.0-1 . amd64 . -m 'Rebuild against GHC 6.10.3.  See
#522617'

Em Thu, 16 Jul 2009 11:13:05 +1000
"Trent W. Buck" <twb@cybersource.com.au> escreveu:
> On Wed, Jul 15, 2009 at 09:58:48AM -0300, Marco Túlio Gontijo e Silva
> wrote:
> > Can you ask for a rebuild of darcs?
> 
> Sure thing.  How do I do so?

I've done it.

Thanks.

-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Fri, 17 Jul 2009 00:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <twb@cybersource.com.au>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Fri, 17 Jul 2009 00:39:02 GMT) Full text and rfc822 format available.

Message #51 received at 522617@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <twb@cybersource.com.au>
To: Marco Túlio Gontijo e Silva <marcot@riseup.net>, 522617@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#522617: New libghc6-network-dev is in sid
Date: Fri, 17 Jul 2009 10:36:39 +1000
On Thu, Jul 16, 2009 at 11:02:13AM -0300, Marco Túlio Gontijo e Silva wrote:
> There's a bug in darcs that's only present in amd64 if it was built
> with GHC older than 6.10.

If you're talking about "darcs help" using 100% CPU instead of
exiting, AFAIK it affects ALL 64-bit architectures when building with
GHC 6.10.1.




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Fri, 17 Jul 2009 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Fri, 17 Jul 2009 13:00:02 GMT) Full text and rfc822 format available.

Message #56 received at 522617@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: "Trent W. Buck" <twb@cybersource.com.au>
Cc: 522617@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#522617: New libghc6-network-dev is in sid
Date: Fri, 17 Jul 2009 09:56:12 -0300
Hi.

Em Fri, 17 Jul 2009 10:36:39 +1000
"Trent W. Buck" <twb@cybersource.com.au> escreveu:
> On Thu, Jul 16, 2009 at 11:02:13AM -0300, Marco Túlio Gontijo e Silva
> wrote:
> > There's a bug in darcs that's only present in amd64 if it was built
> > with GHC older than 6.10.
> 
> If you're talking about "darcs help" using 100% CPU instead of
> exiting, AFAIK it affects ALL 64-bit architectures when building with
> GHC 6.10.1.

Good point.  So:

nmu darcs_2.2.0-1 . ia64 . -m 'Rebuild against GHC 6.10.3.  See #522617'

Thanks.

-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Mon, 20 Jul 2009 15:09:02 GMT) Full text and rfc822 format available.

Message #59 received at 522617@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Cc: "Trent W. Buck" <twb@cybersource.com.au>, 522617@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#522617: New libghc6-network-dev is in sid
Date: Mon, 20 Jul 2009 17:05:09 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 17, 2009 at 09:56:12AM -0300, Marco Túlio Gontijo e Silva wrote:
> Em Fri, 17 Jul 2009 10:36:39 +1000
> "Trent W. Buck" <twb@cybersource.com.au> escreveu:
> > On Thu, Jul 16, 2009 at 11:02:13AM -0300, Marco Túlio Gontijo e Silva
> > wrote:
> > > There's a bug in darcs that's only present in amd64 if it was built
> > > with GHC older than 6.10.
> > 
> > If you're talking about "darcs help" using 100% CPU instead of
> > exiting, AFAIK it affects ALL 64-bit architectures when building with
> > GHC 6.10.1.
> Good point.  So:
> nmu darcs_2.2.0-1 . ia64 . -m 'Rebuild against GHC 6.10.3.  See #522617'

So "ia64 amd64", not "ia64".  Scheduled.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#522617; Package darcs. (Mon, 02 Nov 2009 21:40:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Mon, 02 Nov 2009 21:40:33 GMT) Full text and rfc822 format available.

Message #64 received at 522617@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: control@bugs.debian.org, 522617@bugs.debian.org
Subject: The bug is in GHC6
Date: Mon, 02 Nov 2009 19:21:08 -0200
retitle 522617 Jumps up to 100% processor load
tags 522617 - wontfix + patch pending lenny
clone 522617 -1
reassign -1 ghc6 6.8.2dfsg1-1
fixed -1 6.10.4-1
found 522617 2.0.2-3
fixed 522617 2.2.0-1+b1
thanks

Hello,

I've discussed this bug in
http://lists.debian.org/debian-haskell/2009/08/msg00022.html .

I'm of the opinion that this simple fix should go to stable.

Greetings.

-- 
marcot
http://marcot.iaaeee.org/






Changed Bug title to 'Jumps up to 100% processor load' from 'Jumps up to 100% processor load after "darcs help"' Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:42 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:43 GMT) Full text and rfc822 format available.

Added tag(s) pending, lenny, and patch. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:44 GMT) Full text and rfc822 format available.

Bug 522617 cloned as bug 554069. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:46 GMT) Full text and rfc822 format available.

Bug Marked as found in versions darcs/2.0.2-3. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:52 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions darcs/2.2.0-1. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Mon, 02 Nov 2009 21:40:53 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sun, 28 Feb 2010 11:36:10 GMT) Full text and rfc822 format available.

Notification sent to Benjamin Mesing <bensmail@gmx.net>:
Bug acknowledged by developer. (Sun, 28 Feb 2010 11:36:10 GMT) Full text and rfc822 format available.

Message #81 received at 522617-done@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 522617-done@bugs.debian.org
Subject: This has been taken care of
Date: Sun, 28 Feb 2010 12:34:44 +0100
[Message part 1 (text/plain, inline)]
Version: 2.2.0-3

Hi,

unstable darcs does not have this bug, and the stable version has also
been fixed in a binNMU. This bug can therefore be closed.

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Mar 2012 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:07:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.